Docs

Setup links

POST
/v1/deployment-groups/setup-links

Ensures the Deployment Group identified by Project and external ID, then creates a group-scoped setup link with exact captured sources.

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/deployment-groups/setup-links" \  -H "Content-Type: application/json" \  -d '{    "externalId": "ext_example_01",    "name": "prod-us-east-1",    "project": "string"  }'
{  "token": "string",  "deploymentLink": "string",  "deploymentGroup": {    "id": "dg_r27ict8c7vcgsumpj90ackf7b",    "name": "prod-us-east-1",    "externalId": "ext_example_01",    "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",    "workspaceId": "ws_It13CUaGEhLLAB87simX0",    "maxDeployments": 100,    "createdAt": "2019-08-24T14:15:22Z"  },  "expiresAt": "2019-08-24T14:15:22Z"}